## r-cran-bit64 0.9

=== DESCRIPTION ===
Package: bit64
Type: Package
Title: A S3 Class for Vectors of 64bit Integers
Version: 0.9-7
Date: 2017-05-07
Author: Jens Oehlschlägel <Jens.Oehlschlaegel@truecluster.com>
Maintainer: Jens Oehlschlägel <Jens.Oehlschlaegel@truecluster.com>
Depends: R (>= 3.0.1), bit (>= 1.1-12), utils, methods, stats
Description: 
 Package 'bit64' provides serializable S3 atomic 64bit (signed) integers. 
 These are useful for handling database keys and exact counting in +-2^63.
 WARNING: do not use them as replacement for 32bit integers, integer64 are not
 supported for subscripting by R-core and they have different semantics when 
 combined with double, e.g. integer64 + double => integer64. 
 Class integer64 can be used in vectors, matrices, arrays and data.frames. 
 Methods are available for coercion from and to logicals, integers, doubles, 
 characters and factors as well as many elementwise and summary functions. 
 Many fast algorithmic operations such as 'match' and 'order' support inter-
 active data exploration and manipulation and optionally leverage caching.
License: GPL-2
LazyLoad: yes
ByteCompile: yes
URL: http://ff.r-forge.r-project.org/
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2017-05-07 19:07:42 UTC; jo
Repository: CRAN
Date/Publication: 2017-05-08 13:21:40 UTC

## r-cran-bit64 0.9-7

=== debian/changelog ===
r-cran-bit64 (0.9-7-3) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 16:28:26 +0200

r-cran-bit64 (0.9-7-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Testsuite: autopkgtest-pkg-r
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2017 15:37:25 +0100

r-cran-bit64 (0.9-7-1) unstable; urgency=medium

  * Initial release (closes: #873269)

 -- Andreas Tille <tille@debian.org>  Sat, 26 Aug 2017 00:16:39 +0200

=== debian/control ===
Source: r-cran-bit64
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-bit
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bit64
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bit64.git
Homepage: https://cran.r-project.org/package=bit64

Package: r-cran-bit64
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R S3 Class for Vectors of 64bit Integers
 Package 'bit64' provides serializable S3 atomic 64bit (signed) integers.
 These are useful for handling database keys and exact counting in +-2^63.
 WARNING: do not use them as replacement for 32bit integers, integer64 are not
 supported for subscripting by R-core and they have different semantics when
 combined with double, e.g. integer64 + double => integer64.
 Class integer64 can be used in vectors, matrices, arrays and data.frames.
 Methods are available for coercion from and to logicals, integers, doubles,
 characters and factors as well as many elementwise and summary functions.
 Many fast algorithmic operations such as 'match' and 'order' support
 interactive data exploration and manipulation and optionally leverage caching.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/bit64_([-\d.]*)\.tar\.gz

## r-cran-bit64 0.9-7.1

=== debian/changelog ===
r-cran-bit64 (0.9-7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 29 Jul 2020 22:02:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-bit
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bit64
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bit64.git
 Homepage: https://cran.r-project.org/package=bit64
+Rules-Requires-Root: no
 
 Package: r-cran-bit64
 Architecture: any

## r-cran-bit64 4.0.5

=== DESCRIPTION ===
Package: bit64
Type: Package
Title: A S3 Class for Vectors of 64bit Integers
Version: 4.0.5
Date: 2020-08-29
Author: Jens Oehlschlägel [aut, cre], Leonardo Silvestri [ctb]
Maintainer: Jens Oehlschlägel <Jens.Oehlschlaegel@truecluster.com>
Depends: R (>= 3.0.1), bit (>= 4.0.0), utils, methods, stats
Description: 
 Package 'bit64' provides serializable S3 atomic 64bit (signed) integers. 
 These are useful for handling database keys and exact counting in +-2^63.
 WARNING: do not use them as replacement for 32bit integers, integer64 are not
 supported for subscripting by R-core and they have different semantics when 
 combined with double, e.g. integer64 + double => integer64. 
 Class integer64 can be used in vectors, matrices, arrays and data.frames. 
 Methods are available for coercion from and to logicals, integers, doubles, 
 characters and factors as well as many elementwise and summary functions. 
 Many fast algorithmic operations such as 'match' and 'order' support inter-
 active data exploration and manipulation and optionally leverage caching.
License: GPL-2 | GPL-3
LazyLoad: yes
ByteCompile: yes
URL: https://github.com/truecluster/bit64
Encoding: UTF-8
Repository: CRAN
Repository/R-Forge/Project: ff
Repository/R-Forge/Revision: 177
Repository/R-Forge/DateTimeStamp: 2018-08-17 17:45:18
Date/Publication: 2020-08-30 07:20:02 UTC
NeedsCompilation: yes
Packaged: 2020-08-29 10:56:45 UTC; jo

=== debian/changelog ===
r-cran-bit64 (4.0.5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 01 Sep 2020 16:57:35 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-bit
+               r-cran-bit (>= 4.0.0)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bit64
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bit64.git

## r-cran-bit64 4.6.0

=== DESCRIPTION ===
Package: bit64
Title: A S3 Class for Vectors of 64bit Integers
Version: 4.6.0-1
Authors@R: c(
    person("Michael", "Chirico", email = "michaelchirico4@gmail.com", role = c("aut", "cre")),
    person("Jens", "Oehlschlägel", role = "aut"),
    person("Leonardo", "Silvestri", role = "ctb"),
    person("Ofek", "Shilon", role = "ctb")
  )
Depends: R (>= 3.4.0), bit (>= 4.0.0)
Description: 
  Package 'bit64' provides serializable S3 atomic 64bit (signed) integers.
  These are useful for handling database keys and exact counting in +-2^63.
  WARNING: do not use them as replacement for 32bit integers, integer64 are not
  supported for subscripting by R-core and they have different semantics when
  combined with double, e.g. integer64 + double => integer64.
  Class integer64 can be used in vectors, matrices, arrays and data.frames.
  Methods are available for coercion from and to logicals, integers, doubles,
  characters and factors as well as many elementwise and summary functions.
  Many fast algorithmic operations such as 'match' and 'order' support inter-
  active data exploration and manipulation and optionally leverage caching.
License: GPL-2 | GPL-3
LazyLoad: yes
ByteCompile: yes
URL: https://github.com/r-lib/bit64
Encoding: UTF-8
Imports: graphics, methods, stats, utils
Suggests: testthat (>= 3.0.3), withr
Config/testthat/edition: 3
Config/needs/development: testthat
RoxygenNote: 7.3.2
NeedsCompilation: yes
Packaged: 2025-01-16 14:04:20 UTC; michael
Author: Michael Chirico [aut, cre],
  Jens Oehlschlägel [aut],
  Leonardo Silvestri [ctb],
  Ofek Shilon [ctb]
Maintainer: Michael Chirico <michaelchirico4@gmail.com>
Repository: CRAN
Date/Publication: 2025-01-16 16:00:07 UTC

## r-cran-bit64 4.6.0-1

=== debian/changelog ===
r-cran-bit64 (4.6.0-1-4) unstable; urgency=medium

  * Really exclude test on s390x

 -- Andreas Tille <tille@debian.org>  Thu, 17 Apr 2025 17:18:12 +0200

r-cran-bit64 (4.6.0-1-3) unstable; urgency=medium

  * Exclude two tests from specific architectures

 -- Andreas Tille <tille@debian.org>  Thu, 17 Apr 2025 07:27:51 +0200

r-cran-bit64 (4.6.0-1-2) unstable; urgency=medium

  * Fix autopkgtest (Closes: #1102109)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Apr 2025 10:24:38 +0200

r-cran-bit64 (4.6.0-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Mon, 03 Mar 2025 10:46:50 +0900

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-bit (>= 4.0.0)
-Standards-Version: 4.5.0
+               r-cran-bit
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bit64
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bit64.git
 Homepage: https://cran.r-project.org/package=bit64
@@ -21,7 +21,7 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
-Description: GNU R S3 Class for Vectors of 64bit Integers
+Description: A S3 Class for Vectors of 64bit Integers
  Package 'bit64' provides serializable S3 atomic 64bit (signed) integers.
  These are useful for handling database keys and exact counting in +-2^63.
  WARNING: do not use them as replacement for 32bit integers, integer64 are not
@@ -30,5 +30,5 @@
  Class integer64 can be used in vectors, matrices, arrays and data.frames.
  Methods are available for coercion from and to logicals, integers, doubles,
  characters and factors as well as many elementwise and summary functions.
- Many fast algorithmic operations such as 'match' and 'order' support
- interactive data exploration and manipulation and optionally leverage caching.
+ Many fast algorithmic operations such as 'match' and 'order' support inter-
+ active data exploration and manipulation and optionally leverage caching.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
         r-cran-withr
Restrictions: allow-stderr
## Architecture: !i386 !s390x

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/bit64_([-\d.]*)\.tar\.gz
